<template>
  <div class="msgBox">
    <div class="aside-title">
      <div>故障信息</div>
      <div @click="sendDataToParent()" class="closeMsg">X</div>
    </div>
    <div class="menuTable">
      <table>
        <tr>
          <th style="width: 80px">设备名称</th>
          <th>设备位置</th>
          <th style="width: 40px">操作</th>
        </tr>
        <tr v-for="(item, indx) in $store.state.mapLayers.msgList" :key="indx">
          <td>{{ item.msg }}</td>
          <td>{{ item.point }}</td>
          <td>
            <el-button @click="handleClick(item)" type="text" size="small">查看</el-button>
            <!-- <el-button @click="handleClick2(item)" type="text" size="small">分发</el-button> -->
          </td>
        </tr>
      </table>
    </div>
  </div>
</template>

<script>

import mapConfig from '../../assets/js/mapSdk/mapConfig';
import menuManager from '../../assets/js/mapSdk/menuManager';

import msgList from './msgList.js';
export default {
  components: {},
  props: {},
  data() {
    return {
     
    };
  },
  watch: {},
  mounted() { },
  methods: {
    sendDataToParent() {
      msgList.removeLabel();
      this.$emit('childData', 'close');
    },
    
    handleClick(item) {
      this.$store.state.mapLayers.msgInfoData = {...item};
      this.$emit('childData', 'showMsgInfoFlag');
      msgList.removeLabel();
      msgList.setInit(item)
    },
  },
};
</script>

<style lang="scss" scoped>
.msgBox {
  width: 100%;
  height: 100%;
  background: url(~@/assets/images/Screen/chartbg.png) no-repeat;
  background-size: 100% 100%;
  position: relative;
  border-radius: 5px;
  display: flex;
  flex-direction: column;

  .aside-title {
    box-sizing: border-box;
    padding-left: 30px;
    font-size: 15px;
    font-family: YouSheBiaoTiHei, YouSheBiaoTiHei-Regular;
    color: #fff;
    width: 100%;
    height: 45px;
    line-height: 35px;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    display: flex;

    .closeMsg {
      margin-left: 64%;
      cursor: pointer;
    }

    .closeMsg :hover {
      color: #409eff;
    }
  }

  .menuTable {
    margin: 5px;
    margin-top: 10px;
    text-align: center;
    flex: 1;
    overflow: auto;

    table {
      width: 100%;
      color: white;

      th {
        text-align: center;
        word-wrap: break-word;
        word-break: break-all;
      }

      td {
        word-wrap: break-word;
        word-break: break-all;
        line-height: 30px;
        border-bottom: 1px solid #409eff;
      }
    }
  }
}

/*滚动条整体样式*/
::-webkit-scrollbar {
  /*高宽分别对应横竖滚动条的尺寸*/
  width: 5px;
  height: 1px;
}

/*滚动条里面小方块*/
::-webkit-scrollbar-thumb {
  border-radius: 5px;
  -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
  background: #409eff;
}

/*滚动条里面轨道*/
::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 5px rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  background: rgba(237, 237, 237, 0.1);
}
</style>
